[arch-commits] Commit in epdfview/trunk (4 files)

Thayer Williams thayer at archlinux.org
Sun Apr 5 14:32:21 EDT 2009


    Date: Sunday, April 5, 2009 @ 14:32:20
  Author: thayer
Revision: 33880

upgpkg: epdfview 0.1.7-1
    upstream release, pkg cleanup...thanks Kristaps

Modified:
  epdfview/trunk/PKGBUILD
Deleted:
  epdfview/trunk/IDocumentLink.patch
  epdfview/trunk/epdfview-0.1.6-print-segfault.patch
  epdfview/trunk/epdfview.desktop.patch

-------------------------------------+
 IDocumentLink.patch                 |   11 ---
 PKGBUILD                            |   23 ++------
 epdfview-0.1.6-print-segfault.patch |   95 ----------------------------------
 epdfview.desktop.patch              |   23 --------
 4 files changed, 8 insertions(+), 144 deletions(-)

Deleted: IDocumentLink.patch
===================================================================
--- IDocumentLink.patch	2009-04-05 13:28:21 UTC (rev 33879)
+++ IDocumentLink.patch	2009-04-05 18:32:20 UTC (rev 33880)
@@ -1,11 +0,0 @@
---- src/IDocumentLink.h.orig	2008-04-12 15:24:01.000000000 +0000
-+++ src/IDocumentLink.h	2008-04-12 15:25:32.000000000 +0000
-@@ -33,7 +33,7 @@
-     class IDocumentLink
-     {
-         public:
--            IDocumentLink (gdouble x1, gdouble y1, gdouble x2, gdouble y1);
-+            IDocumentLink (gdouble x1, gdouble y1, gdouble x2, gdouble y2);
-             virtual ~IDocumentLink (void);
- 
-             virtual void activate (IDocument *document) = 0;

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-05 13:28:21 UTC (rev 33879)
+++ PKGBUILD	2009-04-05 18:32:20 UTC (rev 33880)
@@ -3,33 +3,26 @@
 # Maintainer: Thayer Williams <thayer at archlinux.org>
 
 pkgname=epdfview
-pkgver=0.1.6
-pkgrel=12
+pkgver=0.1.7
+pkgrel=1
 pkgdesc="A free lightweight PDF document viewer."
 url="http://www.emma-soft.com/projects/epdfview/"
-license=('GPL')
 arch=('i686' 'x86_64')
+license=('GPL')
 depends=('poppler-glib>=0.10.0' 'heimdal>=1.2.1-1' 'libcups>=1.3.7-2' 'gnutls>=2.4.1' 'desktop-file-utils' 'hicolor-icon-theme')
 makedepends=('pkgconfig')
 install=epdfview.install
-source=(http://www.emma-soft.com/projects/epdfview/chrome/site/releases/epdfview-${pkgver}.tar.bz2
-	epdfview-0.1.6-print-segfault.patch
-	IDocumentLink.patch
-	epdfview.desktop.patch)
-md5sums=('cce9edb41b4a8308e0ef0eea24b5a1ab' 'c083ee8e0e226b308e1c38cb94ee42e7'
-         '65444f1e85b635c37a28e070fe43eeaf' 'c7f887fb9da98d49bb35bdde68073440')
+source=(http://www.emma-soft.com/projects/epdfview/chrome/site/releases/epdfview-${pkgver}.tar.bz2)
+md5sums=('1919bb19c16ef0a97d48b0a8303d3c7b')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np0 -i ../epdfview-0.1.6-print-segfault.patch || return 1
-  patch -Np0 -i ../IDocumentLink.patch || return 1
-  patch -Np0 -i ../epdfview.desktop.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
 
   install -d ${pkgdir}/usr/share/icons/hicolor/{24x24,32x32,48x48}/apps || return 1
-  install -m644 data/icon_epdfview-24.png "${pkgdir}/usr/share/icons/hicolor/24x24/apps/epdfview.png" || return 1
-  install -m644 data/icon_epdfview-32.png "${pkgdir}/usr/share/icons/hicolor/32x32/apps/epdfview.png" || return 1
-  install -m644 data/icon_epdfview-48.png "${pkgdir}/usr/share/icons/hicolor/48x48/apps/epdfview.png" || return 1
+  install -m644 data/icon_epdfview-24.png "${pkgdir}/usr/share/icons/hicolor/24x24/apps/icon_epdfview-24.png" || return 1
+  install -m644 data/icon_epdfview-32.png "${pkgdir}/usr/share/icons/hicolor/32x32/apps/icon_epdfview-32.png" || return 1
+  install -m644 data/icon_epdfview-48.png "${pkgdir}/usr/share/icons/hicolor/48x48/apps/icon_epdfview-48.png" || return 1
 }

Deleted: epdfview-0.1.6-print-segfault.patch
===================================================================
--- epdfview-0.1.6-print-segfault.patch	2009-04-05 13:28:21 UTC (rev 33879)
+++ epdfview-0.1.6-print-segfault.patch	2009-04-05 18:32:20 UTC (rev 33880)
@@ -1,95 +0,0 @@
---- src/PrintPter.cxx (revision 262)
-+++ src/PrintPter.cxx (revision 281)
-@@ -231,17 +231,24 @@
-                 view.clearPageSizeList ();
-                 int pageSizeToSelect = 0;
--                ppd_choice_t *pageSizeChoice = pageSizeOption->choices;
--                for ( int currentSize = 0 ;
--                      currentSize < pageSizeOption->num_choices ;
--                      ++currentSize, ++pageSizeChoice )
--                {
--                    const gchar *sizeName = pageSizeChoice->text;
--                    const gchar *sizeValue = pageSizeChoice->choice;
--
--                    view.addPageSize (_(sizeName), sizeValue);
--                    if ( pageSizeChoice->marked )
-+                if ( 0 != pageSizeOption )
-+                {
-+                    ppd_choice_t *pageSizeChoice = pageSizeOption->choices;
-+                    for ( int currentSize = 0 ;
-+                         currentSize < pageSizeOption->num_choices ;
-+                         ++currentSize, ++pageSizeChoice )
-                     {
--                        pageSizeToSelect = currentSize;
-+                        const gchar *sizeName = pageSizeChoice->text;
-+                        const gchar *sizeValue = pageSizeChoice->choice;
-+
-+                        view.addPageSize (_(sizeName), sizeValue);
-+                        if ( pageSizeChoice->marked )
-+                        {
-+                            pageSizeToSelect = currentSize;
-+                        }
-                     }
-+                }
-+                else
-+                {
-+                    view.addPageSize (_("A4"), "A4");
-                 }
-                 view.selectPageSize (pageSizeToSelect);
-@@ -252,17 +259,24 @@
-                 view.clearResolutionList ();
-                 int resolutionToSelect = 0;
--                ppd_choice_t *resolutionChoice = resolutionOption->choices;
--                for ( int currentRes = 0 ;
--                      currentRes < resolutionOption->num_choices ;
--                      ++currentRes, ++resolutionChoice )
--                {
--                    const gchar *resName = resolutionChoice->text;
--                    const gchar *resValue = resolutionChoice->choice;
--
--                    view.addResolution (_(resName), resValue);
--                    if ( resolutionChoice->marked )
-+                if ( 0 != resolutionOption )
-+                {
-+                    ppd_choice_t *resolutionChoice = resolutionOption->choices;
-+                    for ( int currentRes = 0 ;
-+                            currentRes < resolutionOption->num_choices ;
-+                            ++currentRes, ++resolutionChoice )
-                     {
--                        resolutionToSelect = currentRes;
-+                        const gchar *resName = resolutionChoice->text;
-+                        const gchar *resValue = resolutionChoice->choice;
-+
-+                        view.addResolution (_(resName), resValue);
-+                        if ( resolutionChoice->marked )
-+                        {
-+                            resolutionToSelect = currentRes;
-+                        }
-                     }
-+                }
-+                else
-+                {
-+                    view.addResolution (_("300 DPI"), "300x300dpi");
-                 }
-                 view.selectResolution (resolutionToSelect);
-@@ -272,7 +286,7 @@
-                     ppdFindOption (printerPPD, "ColorModel");
-                 view.clearColorModelList ();
-+                int colorModelToSelect = 0;
-                 if ( NULL != colorModelOption )
-                 {
--                    int colorModelToSelect = 0;
-                     ppd_choice_t *colorModelChoice = colorModelOption->choices;
-                     for ( int currentColor = 0 ;
-@@ -289,5 +303,4 @@
-                         }
-                     }
--                    view.selectColorModel (colorModelToSelect);
-                 }
-                 else
-@@ -295,4 +308,5 @@
-                     view.addColorModel (_("Grayscale"), "Gray");
-                 }
-+                view.selectColorModel (colorModelToSelect);
-                 ppdClose (printerPPD);
-             }

Deleted: epdfview.desktop.patch
===================================================================
--- epdfview.desktop.patch	2009-04-05 13:28:21 UTC (rev 33879)
+++ epdfview.desktop.patch	2009-04-05 18:32:20 UTC (rev 33880)
@@ -1,23 +0,0 @@
---- data/epdfview.desktop	2008-10-15 23:20:01.000000000 +0200
-+++ data/epdfview.desktop	2008-10-15 23:20:31.000000000 +0200
-@@ -1,17 +1,16 @@
- [Desktop Entry]
--Categories=Viewer;Office;GTK
-+Categories=Viewer;Office;GTK;
- Comment=Lightweight PDF document viewer
- Comment[ca]=Visor de documents PDF lleuger
- Comment[es]=Visor de documentos PDF ligero
--Encoding=UTF-8
- Exec=epdfview %f
- GenericName=PDF Viewer
- GenericName[ca]=Visor PDF
- GenericName[es]=Visor PDF
--Icon=postscript-viewer.png
-+Icon=epdfview
- Name=ePDFViewer
- Name[ca]=ePDFViewer
- Name[es]=ePDFViewer
--MimeType=application/pdf
-+MimeType=application/pdf;
- Terminal=false
- Type=Application



More information about the arch-commits mailing list